package com.tenlionsoft.aimz_k.model

import java.io.Serializable

data class MsgConvertBean(
    val body: String,
    val customMessageType: String,
    val messageId: String,
    val messageType: String,
    val metadata: String,
    val `receiver`: Receiver,
    val sender: Sender,
    val timestamp: Long,
    val status: String
) : Serializable

public data class Receiver(
    val receiverId: String?,
    val receiverType: String?
) : Serializable

public data class Sender(
    val senderId: String?,
    val senderType: String?
) : Serializable

//"{\"msg\":\"\",\"statusType\":\"SUCCESS_SEND\"}",
data class BodyContent(
    val content: String?,
    val msg: String?,
    val statusType: String?
) : Serializable